improved readabality

This commit is contained in:
pvincent
2024-03-05 23:29:55 +04:00
parent c9fd0aca3e
commit a06a05045e
7 changed files with 33 additions and 44 deletions
+6 -4
View File
@@ -2,11 +2,13 @@
SIZE=${1:-12}
re='^[0-9]+$'
if ! [[ $SIZE =~ $re ]] ;then
echo "error: SIZE=$SIZE Not a number" >&2; exit 1
if ! [[ $SIZE =~ $re ]]; then
echo "error: SIZE=$SIZE Not a number" >&2
exit 1
fi
if [[ $SIZE -lt 4 || $SIZE -gt 20 ]]; then
echo "expected SIZE=$SIZE not in range [4..20]" >&2; exit 1
echo "expected SIZE=$SIZE not in range [4..20]" >&2
exit 1
fi
tr -cd '[:alnum:]' < /dev/urandom | fold -w $SIZE | head -n1
tr -cd '[:alnum:]' </dev/urandom | fold -w "$SIZE" | head -n1